summaryrefslogtreecommitdiff
path: root/recipes-extended/monit/monit/monit
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-extended/monit/monit/monit')
-rwxr-xr-xrecipes-extended/monit/monit/monit53
1 files changed, 53 insertions, 0 deletions
diff --git a/recipes-extended/monit/monit/monit b/recipes-extended/monit/monit/monit
new file mode 100755
index 0000000..a6d0e95
--- /dev/null
+++ b/recipes-extended/monit/monit/monit
@@ -0,0 +1,53 @@
+#! /bin/sh
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/monit and type
+# > update-rc.d monit defaults 89
+#
+
+## mlinux
+ENABLED=yes
+[ -f /etc/default/monit ] && . /etc/default/monit
+
+if [ "$ENABLED" != "yes" ]; then
+ echo "monit: disabled in /etc/default"
+ exit
+fi
+## mlinux
+
+monit=/usr/bin/monit
+pidfile=/var/run/monit.pid
+monit_args="-c /etc/monitrc"
+
+test -x "$monit" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Monit"
+ start-stop-daemon --start --quiet --exec $monit -- $monit_args
+ RETVAL=$?
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Monit"
+ start-stop-daemon --stop --quiet --pidfile $pidfile
+ RETVAL=$?
+ echo "."
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+ status)
+ $monit $monit_args status
+ RETVAL=$?
+ echo "."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+esac
+
+exit $RETVAL
+